'''
Emily Kampa, Evie Rosenberg, Allie Warren, Phoebe Wooldridge 
GoScenic Senior Comps Project 
Computer Science Department
Carleton College
March 12, 2017
Advisor: Dave Musicant

File to gather three 120 degree Google Streetview images given a coordinate point.
This file is called from classify_grid.py
'''

import sys
import json
import urllib
#from urllib.request import urlretrieve
import os
from PIL import Image

'''
Takes in a coordinate point and retrieves three 120 degree google streetview images from that point.
'''
def get_streetview(coords):
    api_key =  'AIzaSyD5kbefDW2RHY30LGQv2sP6tjfY8Dj0aqs' # AIzaSyBJN20CtR9R9AdWsInx-sAF_CoLRkI66so 
    all_images = []
    
    for i in range(0, 3):
        heading = str(120 * i)
        urlstring = 'https://maps.googleapis.com/maps/api/streetview?size=600x300&location=' + coords[0].replace(" ", "") + '&fov=120&heading=' + heading + '&key=' + api_key   
        file_name = "passPic" + str(i) + ".jpg"
        image = urllib.urlretrieve(urlstring, file_name)
        all_images.append(file_name)
        
    return all_images
